<template>
  <div class="row">
    <div class="m-2" v-for="cat in menuGallery" :key="cat.id">
      <b-dropdown split :text="cat.title" :split-href="'/' + pageName + '/' + cat.slug" v-if="cat.children.length > 0">
        <b-dropdown-item :to="{ path: '/' + pageName + '/' + cat.slug + '/' + scat1.slug }" v-for="scat1 in cat.children" :key="scat1.id">{{ scat1.title }}</b-dropdown-item>
      </b-dropdown>

      <b-button no-caret :text="cat.title" :href="'/' + pageName + '/' + cat.slug" v-else>{{ cat.title }} </b-button>
    </div>
  </div>
</template>
<script>
export default {
  props: ["menuGallery", "pageName"],
  data() {
    return {
      //
    };
  }
};
</script>
